[Rubygems-developers] Status of disabling plugins except for command line?

Eric Hodel drbrain at segment7.net
Thu Dec 23 18:08:12 EST 2010

On Dec 23, 2010, at 13:55, Charles Oliver Nutter wrote:
> On Thu, Dec 23, 2010 at 2:33 PM, Eric Hodel <drbrain at segment7.net> wrote:
>> We should make a release that contains this change RubyGems 2.0 as this changes an API.
> To clarify, you are saying 1.4 should include the perf "fix" (moving
> plugin loading to gem_runner) and 2.0 should include an option to
> force it to always scan plugins?

We should not release a 1.4 with the perf fix as it incompatibly changes an API.  Releasing a 1.4 with the perf fix is not in line with RubyGems own versioning recommendations (which I should have been following all the way back to 1.0).

I think 2.0 should be released with the perf fix and more granular plugins.  I can implement granular plugins in a couple days, and I should have some free time to do so next week.

More information about the Rubygems-developers mailing list